'Newland.CityTheme:Headline':
  superTypes:
    'Neos.Neos:Content': true

  ui:
    label: Überschrift
    icon: heading
    inspector:
      groups:
        intro:
          label: Intro
          icon: fas fa-font
        color:
          label: Akzentfarbe wählen
          icon: palette
    position: 13

  label: ${q(node).property('headline') || 'Überschrift'}

  properties:
    introIcon:
      type: Neos\Media\Domain\Model\ImageInterface
      ui:
        label: Icon
        reloadIfChanged: true
        inspector:
          group: intro

    introTitle:
      type: string
      defaultValue: Titel
      ui:
        label: Intro-Titel
        inlineEditable: true

    introText:
      type: string
      ui:
        label: Intro-Text
        inlineEditable: true
        inline:
          editorOptions:
            placeholder: Intro text
            formatting:
              strong: true
              em: true
              a: true
              pre: false
            linking:
              anchor: true
              title: true
              relNofollow: true
              targetBlank: true

    color:
      type: string
      defaultValue: 'c-intro__icon--primary'
      ui:
        help:
          message: Werden andere Bildformate als .svg für das Icon verwendet, hat die ausgewählte Farbe keine Auswirkungen auf das Icon selbst.
        label: Farbe
        reloadIfChanged: true
        inspector:
          group: color
          editor: Neos.Neos/Inspector/Editors/SelectBoxEditor
          editorOptions:
            values:
              default:
                label: Primary (Standard)
                value: 'c-intro__icon--primary'
              secondary:
                label: Secondary
                value: 'c-intro__icon--secondary'
              accent:
                label: Accent
                value: 'c-intro__icon--accent'
              cta:
                label: CTA
                value: 'c-intro__icon--cta'
              ambient:
                label: Ambient
                value: 'c-intro__icon--ambient'